<bugID>1399779<Summary>DAMP should track the actual opening of the Style Editor</Summary><Description>Right now our performance test (DAMP) tracks the time it takes to complete showToolbox for a given tool.

In the case of the style-editor, this time doesn't correspond to really everything the panel needs to be fully functional.

In particular, this code

this.cssSheet.getMediaRules().then(this._onMediaRulesChanged, console.error);
http://searchfox.org/mozilla-central/source/devtools/client/styleeditor/StyleSheetEditor.jsm#129-130

runs when the editor for the stylesheet shown by default is displayed the first time. We don't wait for this promise the resolve.

We could wait for it to resolve, and have a  StyleSheetEditor.init method that returns a promise. This way we could wait for it to finish from the panel init code:

http://searchfox.org/mozilla-central/source/devtools/client/styleeditor/StyleEditorUI.jsm#392

This would allow tracking the full opening of the panel on DAMP.

When done, I believe we should be able to remove this code from the styleditor/test/head.js file:
let onMediaListChanged = ui.once("media-list-changed");</Description></bugID>